
#include <stdio.h>
#include "wavelength.h"

int main( int argc, char **argv )
{
    double rvals[ 471 ], rmax = 0.0;
    int i;

    for( i = 360; i < 830; i++ ) {
        double curx, cury, curz;
        wavelength_to_xyz( i, &curx, &cury, &curz );
        rvals[ i - 360 ] = (-0.702 * curx) + (1.039 * cury) + (0.433 * curz);
        if( rmax < rvals[ i - 360 ] ) rmax = rvals[ i - 360 ];
    }
    for( i = 360; i < 830; i++ ) {
        rvals[ i - 360 ] /= rmax;
        fprintf( stdout, "%d %f\n", i, rvals[ i - 360 ] );
    }

    return 0;
}

